Permalink
Browse files

Use yarn

  • Loading branch information...
1 parent ccd46ca commit 592685b3b17eaaa99b53aa5e80ebe25830886434 @ai ai committed Dec 24, 2016
Showing with 4,563 additions and 35 deletions.
  1. +1 −0 .gitignore
  2. +2 −0 .npmignore
  3. +1 −0 .travis.yml
  4. +37 −35 package.json
  5. +4,522 −0 yarn.lock
View
@@ -3,6 +3,7 @@
node_modules/
npm-debug.log
+yarn-error.log
build/
lib/*.js
View
@@ -2,6 +2,8 @@
node_modules/
npm-debug.log
+yarn-error.log
+yarn.lock
build/
View
@@ -1,4 +1,5 @@
language: node_js
+cache: yarn
node_js:
- stable
- "6"
View
@@ -22,50 +22,52 @@
"homepage": "http://postcss.org/",
"repository": "postcss/postcss",
"dependencies": {
- "supports-color": "^3.1.2",
- "source-map": "^0.5.6",
- "js-base64": "^2.1.9",
- "chalk": "^1.1.3"
+ "chalk": "^1.1.3",
+ "js-base64": "^2.1.9",
+ "source-map": "^0.5.6",
+ "supports-color": "^3.1.2"
},
"devDependencies": {
- "babel-plugin-precompile-charcodes": "1.0.0",
- "babel-plugin-add-module-exports": "0.2.1",
- "concat-with-sourcemaps": "1.0.4",
- "eslint-config-postcss": "2.0.2",
- "postcss-parser-tests": "5.0.10",
- "babel-preset-es2015": "6.18.0",
- "gulp-sourcemaps": "2.2.1",
- "run-sequence": "1.2.2",
- "gulp-changed": "1.3.2",
- "babel-eslint": "7.1.1",
- "lint-staged": "3.2.4",
- "gulp-eslint": "3.0.1",
- "babel-core": "6.21.0",
- "gulp-babel": "6.1.2",
- "strip-ansi": "3.0.1",
- "pre-commit": "1.2.2",
- "yaspeller": "3.0.0",
- "gulp-run": "1.7.1",
- "gulp-ava": "0.15.0",
- "fs-extra": "1.0.0",
- "docdash": "0.4.0",
- "eslint": "3.12.2",
- "jsdoc": "3.4.3",
- "sinon": "1.17.6",
- "chalk": "1.1.3",
- "gulp": "3.9.1",
- "ava": "0.17.0",
- "del": "2.2.2"
+ "ava": "^0.17.0",
+ "babel-core": "^6.21.0",
+ "babel-eslint": "^7.1.1",
+ "babel-plugin-add-module-exports": "^0.2.1",
+ "babel-plugin-precompile-charcodes": "^1.0.0",
+ "babel-preset-es2015": "^6.18.0",
+ "chalk": "^1.1.3",
+ "concat-with-sourcemaps": "^1.0.4",
+ "del": "^2.2.2",
+ "docdash": "^0.4.0",
+ "eslint": "^3.12.2",
+ "eslint-config-postcss": "^2.0.2",
+ "fs-extra": "^1.0.0",
+ "gulp": "^3.9.1",
+ "gulp-ava": "^0.15.0",
+ "gulp-babel": "^6.1.2",
+ "gulp-changed": "^1.3.2",
+ "gulp-eslint": "^3.0.1",
+ "gulp-run": "^1.7.1",
+ "gulp-sourcemaps": "^2.2.1",
+ "jsdoc": "^3.4.3",
+ "lint-staged": "^3.2.4",
+ "postcss-parser-tests": "^5.0.10",
+ "pre-commit": "^1.2.2",
+ "run-sequence": "^1.2.2",
+ "sinon": "^1.17.6",
+ "strip-ansi": "^3.0.1",
+ "yaspeller": "^3.0.0"
},
"scripts": {
"lint-staged": "lint-staged",
- "test": "gulp"
+ "test": "gulp"
},
"main": "lib/postcss",
"lint-staged": {
"test/*.js": "eslint",
"lib/*.es6": "eslint",
- "*.md": "yaspeller"
+ "*.md": "yaspeller"
},
- "pre-commit": ["lint-staged"]
+ "pre-commit": [
+ "lint-staged"
+ ]
}
Oops, something went wrong.

0 comments on commit 592685b

Please sign in to comment.